<script>
	export let titleText = "";
	export let id = "";
	export let rounded = true;
	export let checked = false;
	export let onchange = function() {}
</script>

<div>
	<label for="{id}">{titleText}
	<span class="switch">
	{#if rounded}
		<!-- Rounded switch -->
  		<input type="checkbox" checked={checked} id={id} on:change={onchange}/>
  		<span class="slider round"></span>
	{:else}
		<!-- Rectangular switch -->
  		<input type="checkbox" checked={checked} id={id} on:change={onchange}/>
  		<span class="slider"></span>
	{/if}
	</span>
	</label>
</div>

<style>
	label{
		display: inline;
		font-size: 10pt;
		margin: 2px;
		padding: 0px;
	}
	
	/* The switch - the box around the slider */
	.switch {
	  position: relative;
	  display: inline-block;
	  width: 40px;
	  height: 20px;
	}
	
	/* Hide default HTML checkbox */
	.switch input {
	  opacity: 0;
	  width: 0;
	  height: 0;
	}
	
	/* The slider */
	.slider {
	  position: absolute;
	  cursor: pointer;
	  top: 0;
	  left: 0;
	  right: 0;
	  bottom: 0;
	  background-color: #ccc;
	  -webkit-transition: .4s;
	  transition: .4s;
	}
	
	.slider:before {
	  position: absolute;
	  content: "";
	  height: 14px;
	  width: 14px;
	  left: 3px;
	  bottom: 3px;
	  background-color: white;
	  -webkit-transition: .4s;
	  transition: .4s;
	}
	
	input:checked + .slider {
	  background-color: #1567c0;
	}
	
	input:focus + .slider {
	  box-shadow: 0 0 1px #1567c0;
	}
	
	input:checked + .slider:before {
	  -webkit-transform: translateX(20px);
	  -ms-transform: translateX(20px);
	  transform: translateX(20px);
	}
	
	/* Rounded sliders */
	.slider.round {
	  border-radius: 5px;
	}
	
	.slider.round:before {
	  border-radius: 3px;
	}
</style>